# Crédits pour les infrasubdivisions

Les tables sont fournies via des fichiers CSV (sépateur ";" ou ",").


## FR - Liste des arrondissements selon l'INSEE

Le fichier :
* inseearrond_2022.csv

Le fichier est construit à partir du source de l'INSEE disponible à l'adresse https://www.insee.
fr/fr/information/6051727.

Il suffit de supprimer les colonnes inutilisées et de ne laisser que ARR,DEP et NCCENR.


## FR - Liste des EPCI selon l'INSEE

Le fichier :
* inseeepci_2022.csv

Le fichier est construit à partir du source de l'INSEE disponible à l'adresse https://www.insee.
fr/fr/information/2510634 et plus précisément des onglets "EPCI" et "Composition_communale".

A partir de l'onglet EPCI on ajoute une colonne DEP par une rechercheV en recherchant dans 
l'onglet "Composition_communale". Ensuite, on supprime la colonne NB_COM et on exporte l'onglet 
"EPCI" en fichier en CSV avec le séparateur point-virgule.


## FR - Liste des communes selon l'INSEE

Le fichier :
* inseecommune_2022.csv

Le fichier est construit à partir du source de l'INSEE disponible à l'adresse https://www.insee.
fr/fr/information/6051727.

Il faut d'abord supprimer les colonnes inutilisées et de ne laisser que TYPECOM, COM, ARR, 
NCCENR, CAN et COMPARENT. Ensuite, on ajoute une colonne EPCI pour identifier le lien de parenté 
avec un EPCI si besoin. Pour cela, on utilise sous Excel le fichier des communes et celui des 
EPCI, l'onglet "Composition_communale" (rechercheV).

En fin, on exporte le fichier Excel en CSV.


## FR - Coordonnées géographiques des communes

Le fichier :
* inseecommune-latlon.csv

Le fichier est construit à partir du source de la poste disponible à l'adresse 
https://datanova.laposte.fr/explore/dataset/laposte_hexasmal/information/?disjunctive.code_commune_insee&disjunctive.nom_de_la_commune&disjunctive.code_postal&disjunctive.ligne_5.

Ensuite, seules les colonnes Code_commune_INSEE et coordonnees_gps sont conservées. On supprime 
les doublons du code INSEE car les coordonnées sont toujours identiques, on ajoute le préfixe 
"FR-" devant le code COG de la commune et on sépare les coordonnées dans deux colonnes lat et lon.

## FR - Codes postal des communes

Le fichier :
* inseecommune-postcode.csv (à venir)

